Subject: Re: Non ANSI C ???
From: [email-masked] (Fergus Henderson)

3 May 1998 08:01:37 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Ross Johnson <[email-masked]>
Cc: Alain CULOS <[email-masked]>, cygwin <[email-masked]>

On 03-May-1998, Ross Johnson <[email-masked]> wrote:
> On Thu, 30 Apr 1998, Alain CULOS wrote:
> 
> > Hi All,
> > 
> > I tried to compile this wonderfull POV-Ray package, the windows version, unfortunately it looks like it does not follow the correct C syntax (but I am only guessing as I'm a newby to C++ and mingw32).
> > Or is there a possibility I am misusing make and gcc command line options ?

Yes.

> > Here is an example of the type of code that does not compile :
> > =========
> > void CheckIt (ThisOne)
> >   int ThisOne;
> > {
> >   DoItNow ();
> > }

That's strictly conforming ANSI C code.
It is using old-style (K&R) function definitions
rather than ANSI C style function prototypes,
but it is still allowed by the 1989 C standard.
GNU C (gcc) does support such code.
C++ and GNU C++ (g++) do not.

> > Else, is there any commonly available utility to convert all files automatically for me ?
> > 
> 
> The protoize.exe command does this for you. The only doco I can find
> immediately is this:

There is texinfo documentation for protoize -- it's part of the
gcc documentation.  Look for `Running protoize' in the
`Invocation' section of the GNU C manual. 
(Try the command `info -f gcc invo runn'.)

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".